Change in ...docker-playground[master]: regen_doc: check OSMO_INTERACT_VTY, fix default

osmith gerrit-no-reply at lists.osmocom.org
Thu Jun 27 08:01:42 UTC 2019


osmith has uploaded this change for review. ( https://gerrit.osmocom.org/c/docker-playground/+/14615


Change subject: regen_doc: check OSMO_INTERACT_VTY, fix default
......................................................................

regen_doc: check OSMO_INTERACT_VTY, fix default

Change default from osmo-interact-vty.py to osmo_interact_vty.py, which
is the name of the script in osmo-python-tests.git.

Check if that script is in PATH before building and running the docker
container.

Change-Id: I763c7379b710160e0155f1fde091137754141335
---
M scripts/regen_doc.sh
1 file changed, 6 insertions(+), 1 deletion(-)



  git pull ssh://gerrit.osmocom.org:29418/docker-playground refs/changes/15/14615/1

diff --git a/scripts/regen_doc.sh b/scripts/regen_doc.sh
index 5327ae8..cd85d01 100755
--- a/scripts/regen_doc.sh
+++ b/scripts/regen_doc.sh
@@ -10,7 +10,12 @@
 
 IMAGE_SUFFIX="${IMAGE_SUFFIX:-master}"
 if [ -z "$OSMO_INTERACT_VTY" ]; then
-	OSMO_INTERACT_VTY="osmo-interact-vty.py"
+	OSMO_INTERACT_VTY="osmo_interact_vty.py"
+fi
+if ! command -v "$OSMO_INTERACT_VTY" 2>&1; then
+	set +x
+	echo "ERROR: $OSMO_INTERACT_VTY not found. Are osmo-python-tests in PATH?"
+	exit 1
 fi
 
 docker_images_require \

-- 
To view, visit https://gerrit.osmocom.org/c/docker-playground/+/14615
To unsubscribe, or for help writing mail filters, visit https://gerrit.osmocom.org/settings

Gerrit-Project: docker-playground
Gerrit-Branch: master
Gerrit-Change-Id: I763c7379b710160e0155f1fde091137754141335
Gerrit-Change-Number: 14615
Gerrit-PatchSet: 1
Gerrit-Owner: osmith <osmith at sysmocom.de>
Gerrit-MessageType: newchange
-------------- next part --------------
An HTML attachment was scrubbed...
URL: <http://lists.osmocom.org/pipermail/gerrit-log/attachments/20190627/3dea38c0/attachment.html>


More information about the gerrit-log mailing list